> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/v20/api-reference/site-settings/ad-integration/validate.md).

# Validate

## Verify

> Validate the AD Integration Settings

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ADIntegrationSettings/Validate":{"post":{"tags":["2-Site settings//AD Integration"],"summary":"Verify","description":"Validate the AD Integration Settings","operationId":"f4f93dfa-1a6f-4025-9471-e1b719ceaf1d","parameters":[{"name":"enrollmentServerId","in":"query","description":"RAS Agent Server name","schema":{"type":"integer","format":"int32"}},{"name":"siteId","in":"query","description":"Site ID in which to modify the specified server.","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"RAS Agent server","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/InvokeADIntegrationSettings"}}}},"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ADIntegrationSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"InvokeADIntegrationSettings":{"type":"object","properties":{"certificateAuthority":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Certificate authority</para>","nullable":true},"enrollmentAgentUsername":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Username of the enrollment agent</para>","nullable":true},"enrollmentAgentPassword":{"type":"string","description":"<para type=\"description\">Password of the account specified in the EnrollmentAgentUsername parameter.</para>","nullable":true},"nlaUsername":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Principal name in UPN format used to initialize the RDP session.</para>","nullable":true},"nlaPassword":{"type":"string","description":"<para type=\"description\">Password of the account specified in the NLAUsername parameter.</para>","nullable":true}},"additionalProperties":false},"ADIntegrationSettings":{"type":"object","properties":{"siteId":{"type":"integer","description":"<para type=\"description\">The site ID to which the AD integration settings refer to.</para>","format":"int32"},"certificateAuthority":{"type":"string","description":"<para type=\"description\">Certificate authority</para>","nullable":true},"enrollmentAgentUsername":{"type":"string","description":"<para type=\"description\">Principal name in UPN format that will enroll certificates on behalf of other users.</para>","nullable":true},"nlaUsername":{"type":"string","description":"<para type=\"description\">Username of the network level authentication</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">AD Integration Settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/v20/api-reference/site-settings/ad-integration/validate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
